import React from "react";
import {Float} from "./Float";

export function Tooltip({children, content}: {
	children: React.ReactElement;
	content: React.ReactNode;
}): React.ReactElement
{
	return (
		<Float mode={"hover"} content={content} className={"tooltip"} floatingOptions={{ placement: "top" }}>
			{children}
		</Float>
	);
}
